#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin>>t;
    vector<int> v1={1,2,3,4,5,6,7,8,9,0};
    for (int i=0;i<t;i++)
    {
        int n,s=10;
        cin>>n;
        if (n<=100)
        {
            for (int j=20;j<n;j++)
        {
            int a=n%10;
            if (j<30)
            {
                a=a*2;
            }
            else if (j<40)
            {
                a=a*3;
            }
            else if (j<50)
            {
                a=a*4;
            }
            else if (j<60)
            {
                a=a*5;
            }
            else if (j<70)
            {
                a=a*6;
            }
            else if (j<80)
            {
                a=a*7;
            }
            else if (j<90)
            {
                a=a*8;
            }
            else
            {
                a=a*9;
            }
            if (binary_search(v1.begin(), v1.end(), a)==false)
            {
                v1.push_back(a);
                s++;
            }
        }
        }

        cout<<s;
    }

    return 0;
}